<div class="container navbar-fixed">
  <div class="navbar__container">
    <a class="logo-holder" href="">YUNEED</a>
    <div class="reserve__button" (click)="open(content)">
      <span>RESERVATION</span>
    </div>
    <div class="navbar__holder">
      <nav>
        <ul>
          <li><a [routerLink]="['/']">HOME</a></li>
          <li><a [routerLink]="['/menu']" routerLinkActive="active">MENUS</a></li>
        </ul>
      </nav>
    </div>
  </div>
</div>


<ng-template #content let-modal>
  <div class="modal-body">
    <div class="reservation-modal-item fl-wrap">
      <div class="close-reservation-modal crm" (click)="modal.dismiss('Cross click')">
        <span>X</span>
      </div>
      <div class="reservation-bg"></div>
      <div class="section-title">
        <h4>Don't forget to book a table</h4>
        <h2>Table Reservations</h2>
        <!-- <div class="dots-separator fl-wrap"><span></span></div> -->
      </div>
      <div class="reservation-wrap">
        <div id="reserv-message" style="display: none;"></div>
        <form class="custom-form" [formGroup]="formGroup" (submit)="submit()">
          <fieldset>
            <div class="row">
              <div class="col-sm-6">
                  <input type="text" formControlName="name" name="name" id="name" placeholder="Your Name *" value="">
              </div>
              <div class="col-sm-6">
                  <input type="text" formControlName="email" name="email" id="email" placeholder="Email Address *" value="">
              </div>
              <div class="col-sm-6">
                  <input type="text" formControlName="phone" name="phone" id="phone" placeholder="Phone *" value="">
              </div>
              <div class="col-sm-6">
                <div class="fl-wrap">
                  <select formControlName="persons" name="numperson" id="persons" data-placeholder="Persons" class="chosen-select no-search-select">
                      <option>Persons</option>
                      <option value="1">1 Person</option>
                      <option value="2">2 People</option>
                      <option value="3">3 People</option>
                      <option value="4">4 People</option>
                      <option value="5">5 People</option>
                  </select>
                </div>
              </div>
              <div class="clearfix"></div>
              <div class="col-sm-6">
                <div class="form-group">
                  <div class="input-group">
                    <input placeholder="Date"
                        name="dp" [(ngModel)]="ngbDate" [ngModelOptions]="{standalone: true}" ngbDatepicker #d="ngbDatepicker" (focus)="d.toggle()">
                  </div>
                </div>
                  <!-- <div class="date-container2 fl-wrap">
                      <input type="text" placeholder="Date" id="res_date" name="resdate" value="">
                  <div class="daterangepicker ltr single auto-apply opensright"><div class="ranges"></div><div class="drp-calendar left single" style="display: block;"><div class="calendar-table"></div><div class="calendar-time" style="display: none;"></div></div><div class="drp-calendar right" style="display: none;"><div class="calendar-table"></div><div class="calendar-time" style="display: none;"></div></div><div class="drp-buttons"><span class="drp-selected"></span><button class="cancelBtn btn btn-sm btn-default" type="button">Clear</button><button class="applyBtn btn btn-sm btn-primary" disabled="disabled" type="button">Apply</button> </div></div></div> -->
              </div>
              <div class="col-sm-6">
                <div class="fl-wrap">
                  <select name="restime" formControlName="time" id="resrv-time" data-placeholder="Time" class="chosen-select no-search-select">
                    <option data-display="Time">Time</option>
                    <option value="10:00am">10:00 am</option>
                    <option value="11:00am">11:00 am</option>
                    <option value="12:00pm">12:00 pm</option>
                    <option value="1:00pm">1:00 pm</option>
                    <option value="2:00pm">2:00 pm</option>
                    <option value="3:00pm">3:00 pm</option>
                    <option value="4:00pm">4:00 pm</option>
                    <option value="5:00pm">5:00 pm</option>
                    <option value="6:00pm">6:00 pm</option>
                    <option value="7:00pm">7:00 pm</option>
                    <option value="8:00pm">8:00 pm</option>
                    <option value="9:00pm">9:00 pm</option>
                    <option value="10:00pm">10:00 pm</option>
                  </select>
                </div>
              </div>
            </div>
            <textarea formControlName="message" name="comments" id="comments" cols="30" rows="3" placeholder="Your Message:"></textarea>
            <div class="clearfix"></div>
            <button class="cbtn color-bg" id="reservation-submit">Reserve Table  <i class="fal fa-long-arrow-right"></i></button>
          </fieldset>
        </form>
      </div>
      <!-- reservation-wrap end-->
    </div>
  </div>
</ng-template>